summaryrefslogtreecommitdiffstats
path: root/system/graveman/graveman.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/graveman/graveman.SlackBuild')
-rw-r--r--system/graveman/graveman.SlackBuild56
1 files changed, 27 insertions, 29 deletions
diff --git a/system/graveman/graveman.SlackBuild b/system/graveman/graveman.SlackBuild
index 1128191ceb..910092e5fc 100644
--- a/system/graveman/graveman.SlackBuild
+++ b/system/graveman/graveman.SlackBuild
@@ -22,25 +22,18 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Note: the developer's source code version is numbered
-# with a dash at the end, e.g. 0.3.12-5, which can throw
-# off the package building process. This SlackBuild fixes
-# the problem by using a SRCVER variable for the source
-# version and a VERSION variable for the local version.
-# Essentially, this changes the dash to a period.
-# Be sure to change both variables accordingly when used
-# with a new version of Graveman. Thanks to Eric Hameleers
-# for the fix.
-
-# Slackbuild mainter switched to Keith Richie disturbed1976@gmail.com
-# Added patch to support for audio CDs with newer Sox versions.
+# Slackbuild maintainer switched to Keith Richie disturbed1976@gmail.com
+# Added patch to support newer Sox versions.
PRGNAM=graveman
-VERSION=0.3.12.5 # this is local version
-SRCVER=0.3.12-5 # this is the developer's source version
-BUILD=${BUILD:-5}
+VERSION=0.3.12.5
+BUILD=${BUILD:-6}
TAG=${TAG:-_SBo}
+SRCVER=0.3.12-5 # this is the developer's source version
+
+DOCS="AUTHORS COPYING ChangeLog NEWS README* THANKS TRANSLATE-HOWTO.fr"
+
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -70,12 +63,14 @@ else
LIBDIRSUFFIX=""
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$SRCVER
-tar xvf $CWD/$PRGNAM-$SRCVER.tar.gz || exit 1
-cd $PRGNAM-$SRCVER || exit 1
+tar xvf $CWD/$PRGNAM-$SRCVER.tar.gz
+cd $PRGNAM-$SRCVER
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -83,8 +78,13 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Patch needed to work with version of Sox in Slackware 13.0+
-patch -Np0 -i $CWD/sox.patch --verbose || exit 1
+# Allow Graveman to find and use newer versions of sox
+# http://savannah.nongnu.org/bugs/?18409
+patch -Np0 -i $CWD/sox.patch --verbose
+
+# Place Graveman in Audio/Vido menu catagory
+# https://bugs.gentoo.org/show_bug.cgi?id=159756
+patch -Np1 -i $CWD/fix-menu.patch --verbose
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -93,23 +93,21 @@ CXXFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
- || exit 1
+ --build=$ARCH-slackware-linux
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog NEWS README* THANKS TRANSLATE-HOWTO.fr \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc